Create checklist
Create checklist. See the OpenAPI-defined parameters, request body, and responses below.
POST
/ChecklistCreate checklist. See the OpenAPI-defined parameters, request body, and responses below.
OpenAPI description: Este endpoint cria um novo checklist com os dados fornecidos.
Authentication
Authentication required. Send your user API key in the X-API-Key header.
Parameters
This operation has no path, query, or header parameters.
Request body
Content type: application/json · Schema: ChecklistDto
| Property | Type | Required | Description | Constraints |
|---|---|---|---|---|
id | integer · int32 | No | — | — |
name | string | No | — | nullable |
code | string | No | — | nullable |
enable | boolean | No | — | — |
agentId | integer · int32 | No | — | — |
Example request
curl --request POST \
--url 'https://api.zild.ai/Checklist' \
--header 'X-API-Key: YOUR_USER_API_KEY' \
--header 'Content-Type: application/json' \
--data '{
"id": 0,
"name": "string",
"code": "string",
"enable": true,
"agentId": 0
}'
Responses
| Status | Description | Response body |
|---|---|---|
200 | Checklist criado com sucesso | application/json · ChecklistDto |
Example response (200):
{
"id": 0,
"name": "string",
"code": "string",
"enable": true,
"agentId": 0
}
Data models
ChecklistDto
| Property | Type | Required | Description | Constraints |
|---|---|---|---|---|
id | integer · int32 | No | — | — |
name | string | No | — | nullable |
code | string | No | — | nullable |
enable | boolean | No | — | — |
agentId | integer · int32 | No | — | — |